Get address by easting and northing (SWEREF99 TM)
curl --request GET \
--url https://lens-api.tic.io/addresses/by-location-sweref99 \
--header 'x-api-key: <api-key>'import requests
url = "https://lens-api.tic.io/addresses/by-location-sweref99"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://lens-api.tic.io/addresses/by-location-sweref99', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"addressObjektIdentitet": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionGiltigFran": "2023-11-07T05:31:56Z",
"statusforbelagenhetsadress": "<string>",
"gata": "<string>",
"adressomradestyp": "<string>",
"gardsadressomradeFaststalltnamn": "<string>",
"adressplatsnummer": "<string>",
"bokstavstillagg": "<string>",
"lagestillagg": "<string>",
"lagestillaggsnummer": 123,
"adressplatstyp": "<string>",
"insamlingslage": "<string>",
"avvikerfranstandarden": true,
"avvikandeadressplatsbeteckning": "<string>",
"popularnamn": "<string>",
"anlaggningstyp": "<string>",
"anlaggningstext": "<string>",
"postnummer": 123,
"postort": "<string>",
"distriktskod": "<string>",
"distriktsnamn": "<string>",
"kommundelFaststalltnamn": "<string>",
"lanskod": "<string>",
"kommunkod": "<string>",
"kommunnamn": "<string>",
"registerEnhetObjektIdentitet": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property": {
"registerEnhetObjektIdentitet": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"beteckning": "<string>",
"trakt": "<string>",
"block": "<string>",
"enhet": 123,
"kommunkod": "<string>",
"kommunnamn": "<string>",
"lanskod": "<string>",
"osakertlage": true,
"objekttyp": "<string>",
"omradesnummer": 123,
"samjelittera": "<string>"
},
"latitude": 123,
"longitude": 123,
"distanceMeters": 123
}Get address by easting and northing (SWEREF99 TM)
Same as GET /addresses/by-location but the input point is in SWEREF99 TM (SRID 3006). Resolves the registered cadastral unit containing the point (a fastighet or a settled samfällighet) — 404 when none contains the point — then the building footprint containing the point and its belägenhetsadress. Address fields may be null when the point is not inside a building or the building has no address.
GET
/
addresses
/
by-location-sweref99
Get address by easting and northing (SWEREF99 TM)
Pro+ tier
Authorizations
Query Parameters
The easting (X) of the position (SWEREF99 TM, meters)
The northing (Y) of the position (SWEREF99 TM, meters)
Response
Property at the point, with the containing building's address when available. Address fields may be null when the point is not inside a building or the building has no address.
Show child attributes
Show child attributes